[**@rxap/forms v19.1.0**](../README.md)

***

[@rxap/forms](../globals.md) / FormSubmitInvalidDirective

# Class: FormSubmitInvalidDirective

Defined in: [packages/angular/forms/src/lib/directives/form-submit-invalid.directive.ts:17](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-submit-invalid.directive.ts#L17)

## Implements

- `AfterViewInit`
- `OnDestroy`

## Constructors

### new FormSubmitInvalidDirective()

> **new FormSubmitInvalidDirective**(`formDirective`, `template`, `viewContainerRef`): [`FormSubmitInvalidDirective`](FormSubmitInvalidDirective.md)

Defined in: [packages/angular/forms/src/lib/directives/form-submit-invalid.directive.ts:21](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-submit-invalid.directive.ts#L21)

#### Parameters

##### formDirective

[`FormDirective`](FormDirective.md)

##### template

`TemplateRef`\<\{ `$implicit`: `any`; \}\>

##### viewContainerRef

`ViewContainerRef`

#### Returns

[`FormSubmitInvalidDirective`](FormSubmitInvalidDirective.md)

## Methods

### ngAfterViewInit()

> **ngAfterViewInit**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-submit-invalid.directive.ts:28](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-submit-invalid.directive.ts#L28)

A callback method that is invoked immediately after
Angular has completed initialization of a component's view.
It is invoked only once when the view is instantiated.

#### Returns

`void`

#### Implementation of

`AfterViewInit.ngAfterViewInit`

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-submit-invalid.directive.ts:37](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-submit-invalid.directive.ts#L37)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`
